
Redmine - Defect #16338

Can't choose an issue of a different project when updating time entries

2014-03-13 11:09 - Bernhard Kraft

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 2.5.1   

Resolution: Fixed Affected version: 2.5.0

Description

When changing a ticket ID of a time tracker entry an error message about invalid ticket ("Ticket ist nicht gültig") show up.

Altough the correct ticket title gets shown.

Steps to reproduce:

1. Create a time tracker entry for some ticket

2. Use the "My page" view to edit the created time tracker entry

3. Change the ticket id to another valid ticket

Screenshot attached

Associated revisions

Revision 12990 - 2014-03-21 03:12 - Jean-Philippe Lang

Let user choose an issue of another project when updating a time entry (#16338).

Revision 13022 - 2014-03-29 15:37 - Jean-Philippe Lang

Merged r12990 (#16338).

History

#1 - 2014-03-13 11:10 - Bernhard Kraft

This bug only exists since upgrading to 2.5.0

#2 - 2014-03-21 02:41 - Jean-Philippe Lang

- Status changed from New to Needs feedback

- Assignee set to Jean-Philippe Lang

I guess it only happens when the ticket chosen in step 3. is not in the same project as the original ticket, right?

#3 - 2014-03-21 03:14 - Jean-Philippe Lang

- Subject changed from Can't change ticket ID of time tracker entries to Can't choose an issue of a different project when updating time entries

- Status changed from Needs feedback to Resolved

- Target version set to 2.5.1

- Resolution set to Fixed

Fixed in r12990.

#4 - 2014-03-29 15:37 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
